Retrieve Annotation Reference Type Metadata
Retrieves the metadata of a specified annotation reference type. Learn more about reference types in the Vault Java SDK documentation.
GET
/api/{version}/metadata/objects/documents/annotations/references/types/{reference_type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{reference_type}required | The name of the reference type. For example, permalink__sys. Learn more about reference types in the Vault Java SDK documentation. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/metadata/objects/documents/annotations/references/types/document__sys \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "document__sys",
"fields": [
{
"name": "annotation__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "document_version_id__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "type__sys",
"type": "String",
"system_managed": true,
"value_set": [
"document__sys"
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes a list of annotations of the specified type(s) for the document version. Each Annotation object may include some or all of the following fields depending on type: